Update recommender block
curl --request PUT \
--url https://api.kameleoon.com/recommender-block/{recommenderBlockId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"apiKey": "<string>",
"apiSecret": "<string>",
"code": "<string>",
"description": "<string>",
"id": 123,
"limit": 123,
"name": "<string>",
"template": "<string>"
}
'import requests
url = "https://api.kameleoon.com/recommender-block/{recommenderBlockId}"
payload = {
"apiKey": "<string>",
"apiSecret": "<string>",
"code": "<string>",
"description": "<string>",
"id": 123,
"limit": 123,
"name": "<string>",
"template": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
apiKey: '<string>',
apiSecret: '<string>',
code: '<string>',
description: '<string>',
id: 123,
limit: 123,
name: '<string>',
template: '<string>'
})
};
fetch('https://api.kameleoon.com/recommender-block/{recommenderBlockId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"apiKey": "<string>",
"apiSecret": "<string>",
"code": "<string>",
"description": "<string>",
"id": 123,
"limit": 123,
"name": "<string>",
"template": "<string>"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}RecommenderBlock
Update recommender block
Update recommender block with given id
PUT
/
recommender-block
/
{recommenderBlockId}
Update recommender block
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the recommender block object
Body
application/json
Store Id of the recommender block
Secret token of the recommender block
Code for the recommender block
Description of the recommender block
Recommender block Id
Limit for the recommender block
Name for the given recommender block
Template for the recommender block
Response
OK
Store Id of the recommender block
Secret token of the recommender block
Code for the recommender block
Description of the recommender block
Recommender block Id
Limit for the recommender block
Name for the given recommender block
Template for the recommender block
Was this page helpful?
⌘I